Package wx :: Class Caret

[frames | no frames]

## Type Caret

    object --+
             |
            Caret

Proxy of C++ Caret class

Method Summary
Caret | `__init__(self, window, size)`
| `__del__(self)`
| `__nonzero__(self)`
| ``Destroy`(self)` Deletes the C++ object this Python object is a proxy for.
int | `GetBlinkTime()` (Static method)
Point | `GetPosition(self)`
(x,y) | `GetPositionTuple()`
Size | `GetSize(self)`
(width, height) | `GetSizeTuple()`
Window | `GetWindow(self)`
| `Hide(self)`
bool | `IsOk(self)`
bool | `IsVisible(self)`
| `Move(self, pt)`
| `MoveXY(self, x, y)`
| `SetBlinkTime(milliseconds)` (Static method)
| `SetSize(self, size)`
| `SetSizeWH(self, width, height)`
| `Show(self, show)`

Property Summary
| `Position`: See `GetPosition`
| `Size`: See `GetSize` and `SetSize`
| `thisown`: The membership flag
| `Window`: See `GetWindow`

Instance Method Details

### Destroy(self)

Deletes the C++ object this Python object is a proxy for.

Property Details

### Position

See `GetPosition`

  Get Method:
    `GetPosition`(self)

### Size

See `GetSize` and `SetSize`

  Get Method:
    `GetSize`(self)
  Set Method:
    `SetSize`(self, size)

### thisown

The membership flag

### Window

See `GetWindow`

  Get Method:
    `GetWindow`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:09 2007 | http://epydoc.sf.net